grk::T2Decompress Struct Reference

Tier-2 decoding. More...

`#include <T2Decompress.h>`

## Public Member Functions

| T2Decompress (TileProcessor *tileProc)
virtual | ~T2Decompress (void)=default
void | decompressPackets (uint16_t tileno, SparseBuffer *src, bool *truncated)

## Private Member Functions

void | decompressPacket (PacketParser *parser, bool skipData)
bool | processPacket (uint16_t compno, uint8_t resno, uint64_t precinctIndex, uint16_t layno, SparseBuffer *src)
void | readPacketData (Resolution *res, PacketParser *parser, uint64_t precinctIndex, bool defer)

## Private Attributes

TileProcessor * | tileProcessor

## Detailed Description

Tier-2 decoding.

## Constructor & Destructor Documentation

## T2Decompress()

grk::T2Decompress::T2Decompress | ( | TileProcessor * | tileProc | ) |

## ~T2Decompress()

virtual grk::T2Decompress::~T2Decompress | ( | void |  | ) |

virtual default

## Member Function Documentation

## decompressPacket()

void grk::T2Decompress::decompressPacket | ( | PacketParser * | parser,
|  | bool | skipData
| ) |  |

private

References grk::grk_read().

## decompressPackets()

void grk::T2Decompress::decompressPackets | ( | uint16_t | tileno,
|  | SparseBuffer * | src,
|  | bool * | truncated
| ) |  |

References grk::TileProcessor::cp_, grk::FINAL_PASS, grk::PLCache::getMarkers(), grk::PacketManager::getPacketIter(), grk::TileProcessor::getTileCodingParams(), grk::grk_read(), grk::GRK_WARN(), grk::TileProcessor::headerImage, grk::TileProcessor::packetLengthCache, processPacket(), grk::PLCache::rewind(), and tileProcessor.

## processPacket()

bool grk::T2Decompress::processPacket | ( | uint16_t | compno,
|  | uint8_t | resno,
|  | uint64_t | precinctIndex,
|  | uint16_t | layno,
|  | SparseBuffer * | src
| ) |  |

private

References grk::Tile::comps, grk::TileProcessor::getNumProcessedPackets(), grk::TileProcessor::getTile(), grk::TileProcessor::getTileCodingParams(), grk::grk_read(), grk::TileProcessor::incNumProcessedPackets(), grk::PLCache::next(), grk::TileCodingParams::numLayersToDecompress, grk::TileProcessor::packetLengthCache, readPacketData(), grk::TileComponent::resolutions_, and tileProcessor.

Referenced by decompressPackets().

## readPacketData()

void grk::T2Decompress::readPacketData | ( | Resolution * | res,
|  | PacketParser * | parser,
|  | uint64_t | precinctIndex,
|  | bool | defer
| ) |  |

private

References grk::grk_read().

Referenced by processPacket().

## Member Data Documentation

## tileProcessor

TileProcessor* grk::T2Decompress::tileProcessor

private

Referenced by decompressPackets(), and processPacket().

The documentation for this struct was generated from the following files:

- T2Decompress.h
- T2Decompress.cpp